hpp-core: hpp::core::pathPlanner::SearchInRoadmap Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathPlanner::SearchInRoadmap Class Reference
Path planning algorithms

`#include <hpp/core/path-planner/search-in-roadmap.hh>`

Inheritance diagram for hpp::core::pathPlanner::SearchInRoadmap:
[legend]
Collaboration diagram for hpp::core::pathPlanner::SearchInRoadmap:
[legend]

## Public Member Functions
virtual void | tryConnectInitAndGoals ()
| This methods does nothing.
virtual void | oneStep ()
| This methods does nothing.
Public Member Functions inherited from hpp::core::PathPlanner
virtual | ~PathPlanner ()
virtual const RoadmapPtr_t & | roadmap () const
| Get roadmap.
ProblemConstPtr_t | problem () const
| Get problem.
virtual void | startSolve ()
virtual PathVectorPtr_t | solve ()
virtual PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
| Post processing of the resulting path.
void | interrupt ()
| Interrupt path planning.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
unsigned long int | maxIterations () const
| Get maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)
double | timeOut () const
| Get time out.
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const
| Find a path in the roadmap and transform it in trajectory.

## Static Public Member Functions
static SearchInRoadmapPtr_t | createWithRoadmap (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)

## Protected Member Functions
| SearchInRoadmap (const ProblemConstPtr_t &problem)
| SearchInRoadmap (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
Protected Member Functions inherited from hpp::core::PathPlanner
| PathPlanner (const ProblemConstPtr_t &problem)
| PathPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
void | init (const PathPlannerWkPtr_t &weak)
| Store weak pointer to itself.

## Detailed Description

Search in the roadmap without modifying it and without trying a direct connection priorly

This planner is especially useful in some applications where the roadmap is constructed externally like in coverage planning. This planner will return a path if one exists in the roadmap or throw otherwise.

Note
  One shortcoming of this planner (as all other planners), if the initial configuration is the same as a goal configuration, the planner will return a path of length 0. This is not desirable in coverage planning applications.

## Constructor & Destructor Documentation

## ◆ SearchInRoadmap() [1/2]

hpp::core::pathPlanner::SearchInRoadmap::SearchInRoadmap | ( | const ProblemConstPtr_t & | problem | ) |
| inlineprotected

## ◆ SearchInRoadmap() [2/2]

hpp::core::pathPlanner::SearchInRoadmap::SearchInRoadmap | ( | const ProblemConstPtr_t & | problem,
|  | const RoadmapPtr_t & | roadmap
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ createWithRoadmap()

static SearchInRoadmapPtr_t hpp::core::pathPlanner::SearchInRoadmap::createWithRoadmap | ( | const ProblemConstPtr_t & | problem,
|  | const RoadmapPtr_t & | roadmap
| ) |  |
| inlinestatic

## ◆ oneStep()

virtual void hpp::core::pathPlanner::SearchInRoadmap::oneStep | ( |  | ) |
| inlinevirtual

This methods does nothing.

Implements hpp::core::PathPlanner.

## ◆ tryConnectInitAndGoals()

virtual void hpp::core::pathPlanner::SearchInRoadmap::tryConnectInitAndGoals | ( |  | ) |
| inlinevirtual

This methods does nothing.

Reimplemented from hpp::core::PathPlanner.

The documentation for this class was generated from the following file:

- include/hpp/core/path-planner/search-in-roadmap.hh